import { Routes, Route } from "react-router-dom";
import "../global.css";
import SeatBooking from "./pages/SeatBooking";
import { SeatLimit } from "./pages/SeatLimit";
import { Summary } from "./components/Response/Index";
import { LoginPage } from "./pages/Forms";
import { ContextProvider } from "./context/Index";
function App() {
  return (
    <ContextProvider>
      <Routes>
        <Route path="/signup" element={<LoginPage />} />
        <Route path="/" element={<LoginPage />} />
        <Route path="/seat-limit" element={<SeatLimit />} />
        <Route path="/booking" element={<SeatBooking />} />
        <Route path="booking-summary" element={<Summary />} />
      </Routes>
    </ContextProvider>
  );
}

export default App;
